<div class="gambar">
<%= image_tag("peentar.png", :alt => "logo") %>
</div>


<%= form_tag '/payments/validate', :id => "main_form" do %>

  	<div class="container-fluid center">
	  	<div class = "row">

	  		<div class="col-md-6">
	  			<div class = "row">
	  				<div class="col-md-12">
			  			<div class="box">
			  				<h3 class="group_title"><%=t'order'%></h3>
			  				<hr>
			  				<p class="group_items">
			  					<%=t'invoice'%>: <%=@invoice%>
			  				</p>
			  				<hr>

			  				<p class="group_items">
			  					<%=t'description'%>: <%=@desc%>
			  				</p>
			  				<hr>

			  				<p class="group_items">
			  					<%=number_to_currency(@amount, unit: "Rp.", precision: 0)%>
			  				</p> 
			  			</div>
		  			</div>
	  			</div>

				<div class="row">
					<div class="col-md-12">
			  			<div class="box">
			  				<h3 class="group_title"><%=t'detail'%></h3>
			  				<hr>

			  				<%= hidden_field_tag "invoice", @invoice %>
			  				<%= hidden_field_tag "amount", @amount %>
			  				<%= hidden_field_tag "source", @source %>
			  				<%= hidden_field_tag "desc", @desc %>
			  				
			  				<p class="group_items">
			  					<label for="data_inputs_name"><%=t'name'%></label><br>
			  					<%= text_field_tag "add_info1", params["add_info1"], id: 'name', :onkeyup => "validate(document.getElementById('name').value, /[a-zA-Z]+$/, 'name_err_msg')" %>
			  				</p>
							<p id="name_err_msg" value="false"><p>

							<p class="group_items">
			  					<label for="data_inputs_address"><%=t'addr'%></label><br>
			  					<%= text_field_tag "add_info2", params["add_info2"], id: 'addr', :onkeyup => "validate(document.getElementById('addr').value, /^[A-Za-z0-9.,\ ]{5,30}$/, 'address_err_msg')" %>
			  				</p>
							<p id="address_err_msg" value="false"><p>
							
			  				<p class="group_items">
			  					<label for="data_inputs_phone"><%=t'phone'%></label><br>
			  					<%= text_field_tag "add_info3", params["add_info3"], id: 'phone', :onkeyup => "validate(document.getElementById('phone').value, /^[0-9]{5,15}$/, 'phone_err_msg')" %>
			  				</p>
							<p id="phone_err_msg" value="false"><p>
							
			  				<p class="group_items">
			  					<label for="data_inputs_email"><%=t'email'%></label><br>
			  					<%= text_field_tag "add_info4", params["add_info4"], id: 'email', :onkeyup => "validate(document.getElementById('email').value, /^([A-Za-z0-9._-]{1,20}\@)+([A-Za-z0-9._-]{1,20})+\.([A-Za-z0-9._-]{1,5})+$/, 'email_err_msg')" %>
			  				</p>
			  				<p id="email_err_msg" value="false"><p>
	  			
	  				</div>
	  			</div>
	  		</div>
		
	  	</div>
	  		<div class="col-md-6">

	  			<div class="box">
		  			<h3 class="group_title"><%=t'method'%></h3>
		  			<hr>

		            <div class="radio"> 
		            	<label><%= radio_button_tag "trax_type", "klikpay", false, :onclick => "show('id1');check_v();", name: "trax_type"  %>BCA Klikpay</label>
		            </div>
		            <div id="id1" class="form-group">  
		            	<p class="payment_information">Use BCA Klikpay to pay</p>
		            </div>

		            <div class="radio"> 
		            	<label><%= radio_button_tag "trax_type", "mandiriclickpay", false, :onclick => "show('id2');check_v();", name: "trax_type"  %>Mandiri Klickpay</label>
		            </div>
		            <div id="id2" class="form-group">  
		            	<p class="payment_information">Use Mandiri Klickpay to pay</p>
		            </div>
		            
					<div class="radio">
						<label><%= radio_button_tag "trax_type", "vapermata", false, :onclick => "show('id3');check_v();", name: "trax_type"  %> Permata Virtual Account</label>
					</div>
					<div id="id3" class="form-group">
						<p class="payment_information">Use Permata Virtual Account to pay</p>
					</div>

					<div class="radio">
						<label><%= radio_button_tag "trax_type", "finpay195", false, :onclick => "show('id4');check_v();", name: "trax_type"  %> Finpay195</label>
					</div>
					<div id="id4" class="form-group">
						<p class="payment_information">Use Finpay195 to pay</p>
					</div>
					
					<div class="radio">
						<label><%= radio_button_tag "trax_type", "vabni", false, :onclick => "show('id5');check_v();", name: "trax_type"  %> BNI Virtual Account</label>
					</div>
					<div id="id5" class="form-group">
						<p class="payment_information">Use BNI Virtual Account to pay</p>
					</div>
					
					<div class="radio"> 
						<label><%= radio_button_tag "trax_type", "vabri", false, :onclick => "show('id6');check_v();", name: "trax_type"  %> BRI Virtual Account</label>
					</div>
					<div id="id6" class="form-group">
						<p class="payment_information">Use BRI Virtual Account to pay</p>
					</div>

					<div class="radio">
						<label><%= radio_button_tag "trax_type", "finpay021", false, :onclick => "show('id7');check_v();", name: "trax_type"  %> Finpay021</label>
					</div>
					<div id="id7" class="form-group">
						<p class="payment_information">Use Finpay021 to pay</p>
					</div>
					
					<div class="radio"> 
						<label><%= radio_button_tag "trax_type", "permatanet", false, :onclick => "show('id8');check_v();", name: "trax_type"  %>Permata Net</label> 
					</div>
					<div id="id8" class="form-group">  
						<p class="payment_information">Use Permata Net to pay</p>
					</div>
					
					<div class="radio"> 
						<label><%= radio_button_tag "trax_type", "tcash", false, :onclick => "show('id9');check_v();", name: "trax_type"  %>T-Cash</label> 
					</div>
					<div id="id9" class="form-group">  
						<p class="payment_information">Use T-Cash to pay</p>
					</div>
					
					<div class="radio"> 
						<label><%= radio_button_tag "trax_type", "sakuku", false, :onclick => "show('id10');check_v();", name: "trax_type"  %>Sakuku</label> 
					</div>
					<div id="id10" class="form-group">  
						<p class="payment_information">Use Sakuku to pay</p>
					</div>
					
					<div class="radio"> 
						<label><%= radio_button_tag "trax_type", "vastpermata", false, :onclick => "show('id11');check_v();", name: "trax_type"  %>Vast Permata</label> 
					</div>
					<div id="id11" class="form-group">  
						<p class="payment_information">Use Vast Permata to pay</p>
					</div>
					
		        	<div class="text-center">
				    	<%= submit_tag "Confirm", :class => "btn btn-primary", :id => "submit", :disabled => "true" %>
				  	</div>
	            </div>
	  		</div>
		</div>
  	</div>
<% end %>



<div class="footer-bottom">
	<div class="container">
		<p class="pull-left"> Copyright © Dream Fasilkom - UI. </p>
		<div class="pull-right">
			<ul class="nav nav-pills payments">
				<li><i class="fa fa-cc-visa"></i></li>
				<li><i class="fa fa-cc-mastercard"></i></li>
				<li><i class="fa fa-cc-amex"></i></li>
				<li><i class="fa fa-cc-paypal"></i></li>
			</ul> 
		</div>
	</div>
</div>
